Loading...
Searching...
No Matches
juce::UnitTestRunner::TestResult Struct Reference

## Detailed Description

Contains the results of a test.

One of these objects is instantiated each time UnitTest::beginTest() is called, and it contains details of the number of subsequent UnitTest::expect() calls that are made.

The documentation for this struct was generated from the following file:

- juce_core/unit_tests/juce_UnitTest.h

## Public Member Functions

| TestResult ()=default
| TestResult (const String &name, const String &subCategory)

## Public Attributes

String | unitTestName
| The main name of this test (i.e.
String | subcategoryName
| The name of the current subcategory (i.e.
int | passes = 0
| The number of UnitTest::expect() calls that succeeded.
int | failures = 0
| The number of UnitTest::expect() calls that failed.
StringArray | messages
| A list of messages describing the failed tests.
Time | startTime = Time::getCurrentTime()
| The time at which this test was started.
Time | endTime
| The time at which this test ended.

## Constructors and Destructors

## TestResult() [1/2]

juce::UnitTestRunner::TestResult::TestResult | ( |  | ) |

default

## TestResult() [2/2]

juce::UnitTestRunner::TestResult::TestResult | ( | const String & | name,
|  | const String & | subCategory )

inline explicit

References name, subcategoryName, and unitTestName.

## Member Data Documentation

## unitTestName

String juce::UnitTestRunner::TestResult::unitTestName

The main name of this test (i.e.

the name of the UnitTest object being run).

Referenced by TestResult().

## subcategoryName

String juce::UnitTestRunner::TestResult::subcategoryName

The name of the current subcategory (i.e.

the name that was set when UnitTest::beginTest() was called).

Referenced by TestResult().

## passes

int juce::UnitTestRunner::TestResult::passes = 0

The number of UnitTest::expect() calls that succeeded.

## failures

int juce::UnitTestRunner::TestResult::failures = 0

The number of UnitTest::expect() calls that failed.

## messages

StringArray juce::UnitTestRunner::TestResult::messages

A list of messages describing the failed tests.

## startTime

Time juce::UnitTestRunner::TestResult::startTime = Time::getCurrentTime()

The time at which this test was started.

## endTime

Time juce::UnitTestRunner::TestResult::endTime

The time at which this test ended.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited